package com.hys.app.raycoswebapi.model.dao.product;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.lang.Long;


@TableName("raycos_stockplus")
@Data
public class RaycosStockplusDao implements Serializable {

  private static final long serialVersionUID = 1L;

  @TableId(type = IdType.ASSIGN_ID)
  @ApiModelProperty(hidden = true)
  private Long id;

  @ApiModelProperty(name = "stockId", value = "Stock ID（唯一对应）")
  private Long stockId;

  @ApiModelProperty(name = "originalSku", value = "originalSku")
  private String originalSku;

  @ApiModelProperty(name = "stockPicture", value = "库存图片")
  private String stockPicture;

  @ApiModelProperty(name = "salePicture", value = "销售图片")
  private String salePicture;

  @ApiModelProperty(name = "length", value = "长度")
  private Double length;

  @ApiModelProperty(name = "width", value = "宽度")
  private Double width;

  @ApiModelProperty(name = "height", value = "高度")
  private Double height;

  @ApiModelProperty(name = "volume", value = "体积")
  private Long volume;

  @ApiModelProperty(name = "weight", value = "单品重量")
  private Double weight;

  @ApiModelProperty(name = "volumeWeight", value = "体积重")
  private Double volumeWeight;

  @ApiModelProperty(name = "declareName", value = "报关名称")
  private String declareName;

  @ApiModelProperty(name = "declareEname", value = "英文申报名")
  private String declareEname;

  @ApiModelProperty(name = "declareValue", value = "申报价格")
  private Double declareValue;

  @ApiModelProperty(name = "packageId", value = "包材ID")
  private Long packageId;

  @ApiModelProperty(name = "packageCount", value = "可包装个数")
  private Long packageCount;

  @ApiModelProperty(name = "commodityMaterial", value = "商品材质")
  private String commodityMaterial;

  @ApiModelProperty(name = "remark", value = "备注")
  private String remark;

  @ApiModelProperty(name = "commodityUse", value = "商品用途")
  private String commodityUse;

  @ApiModelProperty(name = "isLocationPicture", value = "是否本地图片1是2不是")
  private Long isLocationPicture;

  @ApiModelProperty(name = "noLiquidCosmetic", value = "0:非液体,2:液体(化妆品),1:非液体(化妆品),3:液体(非化妆品)")
  private Long noLiquidCosmetic;

  @ApiModelProperty(name = "magnetic", value = "带磁")
  private Long magnetic;

  @ApiModelProperty(name = "powder", value = "粉末:1:是;2:不是")
  private Long powder;

  @ApiModelProperty(name = "developerId", value = "开发员")
  private Long developerId;

  @ApiModelProperty(name = "declareCode", value = "报关编号")
  private String declareCode;

  @ApiModelProperty(name = "isPurchaseWeight", value = "是否在采购的时候修改了重量,1:否 2:是")
  private Long isPurchaseWeight;

  @ApiModelProperty(name = "saleRemark", value = "销售备注")
  private String saleRemark;

  @ApiModelProperty(name = "purchaseRemark", value = "采购备注")
  private String purchaseRemark;

  @ApiModelProperty(name = "stockDetailImg", value = "产品细节图(多张)")
  private String stockDetailImg;

  @ApiModelProperty(name = "weightSection", value = "重量区间,例如:1-10,必须有-,两边必须为数字(小数)")
  private String weightSection;

  @ApiModelProperty(name = "ispaste", value = "是否为膏体 1：是2：不是")
  private Long ispaste;

  @ApiModelProperty(name = "volumeWeightType", value = "体积重类型:5000kg;6000kg")
  private Long volumeWeightType;

  @ApiModelProperty(name = "tempPicture", value = "临时图片")
  private String tempPicture;

  @ApiModelProperty(name = "isGift", value = "是否赠品 1：是 2：否 （代表是否可作为赠品）")
  private Long isGift;

  @ApiModelProperty(name = "purchase_package_id", value = "采购包材ID")
  private Long purchasePackageId;

  @ApiModelProperty(name = "compete_url", value = "竞品链接")
  private String competeUrl;

  @ApiModelProperty(name = "purchase_package_count", value = "商品包材可包装数量")
  private Long purchasePackageCount;

  @ApiModelProperty(name = "financial", value = "财务编号")
  private String financial;

  @ApiModelProperty(name = "extend", value = "扩展属性")
  private String extend;

  @ApiModelProperty(name = "chargedproperty", value = "带电属性 0 属性未设置 1 纯电 2内置不可拆卸 3内置可拆卸")
  private Long chargedproperty;

  @ApiModelProperty(name = "update_time", value = "最后更新时间")
  private Long updateTime;

  @ApiModelProperty(name = "trademark_register_no", value = "商标注册号")
  private String trademarkRegisterNo;

  @ApiModelProperty(name = "trademark_register_time", value = "商标注册时间")
  private Long trademarkRegisterTime;

  @ApiModelProperty(name = "trademark_expire_time", value = "商标到期时间")
  private Long trademarkExpireTime;

  @ApiModelProperty(name = "manufacturer", value = "厂商")
  private String manufacturer;

  @ApiModelProperty(name = "product_warning_days", value = "商品预警天数")
  private Long productWarningDays;

  @ApiModelProperty(name = "is_googs_expire_manage", value = "商品有效期管理 0 不开启 1开启")
  private Long isGoogsExpireManage;

  @ApiModelProperty(name = "shelf_life_days", value = "保质期天数")
  private Long shelfLifeDays;

  @ApiModelProperty(name = "dev_assistant", value = "开发助理")
  private Long devAssistant;

  @ApiModelProperty(name = "duty_element", value = "申报要素")
  private String dutyElement;

  @ApiModelProperty(name = "unit_id", value = "单位ID,DHL申报专用")
  private Long unitId;

  @ApiModelProperty(name = "goods_package_id", value = "商品包材ID（限制十个）")
  private String goodsPackageId;

  @ApiModelProperty(name = "inner_package_num", value = "内包装数量")
  private Long innerPackageNum;

  @ApiModelProperty(name = "sale_url", value = "产品销售链接")
  private String saleUrl;

  @ApiModelProperty(name = "packaging_length", value = "包装后长度")
  private Double packagingLength;

  @ApiModelProperty(name = "packaging_width", value = "包装后宽度")
  private Double packagingWidth;

  @ApiModelProperty(name = "packaging_height", value = "包装后高度")
  private Double packagingHeight;

  @ApiModelProperty(name = "packaging_volume", value = "包装后体积")
  private Long packagingVolume;

  @ApiModelProperty(name = "packaging_volumeweight", value = "包装后体积重")
  private Double packagingVolumeweight;

  @ApiModelProperty(name = "spec_mode", value = "报关规格型号")
  private String specMode;

  @ApiModelProperty(name = "origin_country", value = "原产国（地区）")
  private String originCountry;

  @ApiModelProperty(name = "domestic_source", value = "境内货源地")
  private String domesticSource;

  @ApiModelProperty(name = "levy_exemption", value = "征免")
  private String levyExemption;

  @ApiModelProperty(name = "is_flammables", value = "是否为易燃品1:是2：不是")
  private Long isFlammables;

  @ApiModelProperty(name = "is_knife", value = "是否为刀具：1：是2：不是")
  private Long isKnife;

  @ApiModelProperty(name = "is_bospicture", value = "图片是否上传到百度云1已上传2未上传")
  private Long isBospicture;

  @ApiModelProperty(name = "cont_sign", value = "图>片上传到百度云返回的唯一编码")
  private String contSign;

}
