package com.hys.app.raycoswebapi.service.product;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dto.SaleChannelDTO;
import com.hys.app.model.erp.dto.WarehouseEntryDTO;
import com.hys.app.raycoswebapi.model.dao.product.RaycosStockDao;
import com.hys.app.raycoswebapi.model.dto.product.StockInfoDto;

/**
 * stock表相关
 *
 * @author 崔晓冬
 * @since 2024年8月9日12:19:19
 */
public interface StockInfoManager extends BaseService<RaycosStockDao> {
    /**
     * 分页列表
     *
     * @param queryParams 查询条件
     * @return 分页数据
     */
    WebPage<RaycosStockDao> list(StockInfoDto queryParams);


    Long add(StockInfoDto stockInfoDto);

    void updateInfo(StockInfoDto stockInfoDto);

    void delete(Long id);
}

